/**
 * Root component that provides the styling context for the Button component.
 * Uses Chakra UI's recipe context system for consistent styling across instances.
 */
export declare const ButtonRoot: import('react').ForwardRefExoticComponent<Omit<import('@chakra-ui/react').HTMLChakraProps<"button", {
    size?: import('@chakra-ui/react').RecipeProps<"nimbusButton">["size"];
    variant?: import('@chakra-ui/react').RecipeProps<"nimbusButton">["variant"];
} & import('@chakra-ui/react').UnstyledProp>, "colorPalette" | "slot"> & {
    slot?: string | null | undefined;
    colorPalette?: import('../..').SemanticPalettesOnly;
} & import('react').RefAttributes<HTMLButtonElement>>;
